<template>
	<view class="content">
		<view class="topswiper">
			<u-swiper :list="swiperlist" height="336"></u-swiper>
		</view>
		<view class="contentgrid flex-between">
			<view class="flex-colum" v-for="(item,index) in 8" :key="index" @click="clicknavigateTo(item,index)">
				<image src="@/static/logo.png" mode=""></image>
				<text>蓝票开具</text>
			</view>
		</view>
		<view class="contentlist" v-for="(item,index) in 3" :key="index">
			<view class="contentlisttitle">
				企业信息
			</view>
			<view class="contentlistitem flex-between" style="margin-top: 32rpx;">
				<text class="contentlistitemone">企业名称</text>
				<text class="contentlistitemtow">西安市高新区范家大院饭馆</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">纳税人税号</text>
				<text class="contentlistitemtow">92610131MA6W52456</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">纳税人性质</text>
				<text class="contentlistitemtow">——</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">当前默认开票账号</text>
				<text class="contentlistitemtow">9261013115897462</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">授信类别</text>
				<text class="contentlistitemtow">——</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">预警级别</text>
				<text class="contentlistitemtow">——</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">数电业务到期时间</text>
				<text class="contentlistitemtow">2025-05-31</text>
			</view>
			<view class="contentlistitem flex-between">
				<text class="contentlistitemone">报税截止日期</text>
				<text class="contentlistitemtow">2025-05-31</text>
			</view>
		</view>
		<view class="contentbotton">
			<view class="contentbottontitle flex-between">
				<text class="contentbottontitleone">最近开票申请</text>
				<text class="contentbottontitletow">更多申请</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				swiperlist: [{
						image: 'https://cdn.uviewui.com/uview/swiper/1.jpg',
						title: '昨夜星辰昨夜风，画楼西畔桂堂东'
					},
					{
						image: 'https://cdn.uviewui.com/uview/swiper/2.jpg',
						title: '身无彩凤双飞翼，心有灵犀一点通'
					},
					{
						image: 'https://cdn.uviewui.com/uview/swiper/3.jpg',
						title: '谁念西风独自凉，萧萧黄叶闭疏窗，沉思往事立残阳'
					}
				],
			}
		},
		async onLoad(e) {
			// await this.$onLaunched;
			// alert(location.href.split('#')[0])
			if (e.userId) {
				// this.onLoaduserId = e.userId
				uni.cache.set('Type', e.type);
				uni.cache.set('userId', e.userId);
			}
			let token = await this.api.h5encryption({
				store_id: uni.cache.get('userId')
			})
			if (token.code == 1) {
				uni.cache.set('token', token.data.token);
			}
			console.log(token)
			let res = await this.api.storestorestatus({
				store_id: uni.cache.get('userId')
			})
			if (res.code == 1) {
				this.improveinformationform = res.data.store
				uni.cache.set('form', this.improveinformationform);
				if (res.data.sz_status == 0) {
					uni.reLaunch({
						url: '/pages/index/information'
					});
				} else {
					this.improveinformation = true
				}
			}
		},
		methods: {
			clicknavigateTo(item, index) {
				console.log(index)
				switch (index) {
					case '0':
						uni.pro.navigateTo('webview/webview', {
							url: c
						});
						break;
					case 1:
						uni.pro.navigateTo('bluetools/index');
						// uni.pro.navigateTo(b, {
						// 	url: c
						// });
						break;
					case 2:
						uni.pro.navigateTo('issuer/index');
						break;
					case 3:
						uni.pro.navigateTo('toexamine/index');
						break;
				}
			}
		}
	}
</script>

<style lang="scss">
	page {
		background: #F9F9F9;
	}

	.content {
		padding: 0 28rpx;

		.topswiper {
			padding-top: 32rpx;
			width: 100%;
		}

		.contentgrid {
			margin-top: 32rpx;
			padding: 0 32rpx 32rpx 32rpx;
			width: 100%;
			background: #FFFFFF;
			border-radius: 24px 24px 24px 24px;

			.flex-colum {
				width: 25%;
				margin-top: 36rpx;

				image {
					width: 70rpx;
					height: 70rpx;
				}

				text {
					margin-top: 16rpx;
					font-family: Source Han Sans CN, Source Han Sans CN;
					font-weight: 400;
					font-size: 24rpx;
					color: #333333;
				}
			}
		}

		.contentlist {
			margin-top: 32rpx;
			padding: 32rpx;
			width: 100%;
			background: #FFFFFF;
			border-radius: 24rpx 24rpx 24rpx 24rpx;

			.contentlisttitle {
				font-family: Source Han Sans CN, Source Han Sans CN;
				font-weight: 500;
				font-size: 32rpx;
				color: #333333;
			}

			.contentlistitem {
				margin-top: 24rpx;

				.contentlistitemone {
					font-family: Source Han Sans CN, Source Han Sans CN;
					font-weight: 400;
					font-size: 28rpx;
					color: #999999;
				}

				.contentlistitemtow {
					font-family: Source Han Sans CN, Source Han Sans CN;
					font-weight: 400;
					font-size: 28rpx;
					color: #333333;
				}
			}
		}

		.contentbotton {
			margin-top: 44rpx;
			width: 100%;
			padding: 20rpx 32rpx;
			background: #FFFFFF;
			border-radius: 24rpx 24rpx 24rpx 24rpx;

			.contentbottontitle {
				.contentbottontitleone {
					font-family: Source Han Sans CN, Source Han Sans CN;
					font-weight: 500;
					font-size: 32rpx;
					color: #333333;
				}

				.contentbottontitletow {
					font-family: Source Han Sans CN, Source Han Sans CN;
					font-weight: 400;
					font-size: 28rpx;
					color: #5872C9;
				}
			}
		}
	}
</style>